import { resolveComponent, openBlock, createBlock, withCtx, createElementBlock, Fragment, renderList, createTextVNode, toDisplayString, createVNode, createElementVNode, createCommentVNode, renderSlot, resolveDynamicComponent } from "vue";
const props = {
  props: {
    options: Object,
    model: Object
  },
  created() {
    Object.assign(this, this.options);
  }
};
var _export_sfc = (sfc, props2) => {
  const target = sfc.__vccOpts || sfc;
  for (const [key, val] of props2) {
    target[key] = val;
  }
  return target;
};
const _sfc_main$6 = {
  mixins: [props]
};
function _sfc_render$6(_ctx, _cache, $props, $setup, $data, $options) {
  const _component_el_radio = resolveComponent("el-radio");
  const _component_el_radio_group = resolveComponent("el-radio-group");
  return openBlock(), createBlock(_component_el_radio_group, {
    modelValue: _ctx.model.radio,
    "onUpdate:modelValue": _cache[0] || (_cache[0] = ($event) => _ctx.model.radio = $event)
  }, {
    default: withCtx(() => [
      (openBlock(true), createElementBlock(Fragment, null, renderList(_ctx.option, (item, index) => {
        return openBlock(), createBlock(_component_el_radio, {
          key: index,
          label: item.label
        }, {
          default: withCtx(() => [
            createTextVNode(toDisplayString(item.text), 1)
          ]),
          _: 2
        }, 1032, ["label"]);
      }), 128))
    ]),
    _: 1
  }, 8, ["modelValue"]);
}
var kdRadio = /* @__PURE__ */ _export_sfc(_sfc_main$6, [["render", _sfc_render$6]]);
const _sfc_main$5 = {
  mixins: [props]
};
function _sfc_render$5(_ctx, _cache, $props, $setup, $data, $options) {
  const _component_el_input = resolveComponent("el-input");
  return openBlock(), createElementBlock("div", null, [
    createVNode(_component_el_input, {
      modelValue: _ctx.model[_ctx.model.modelName],
      "onUpdate:modelValue": _cache[0] || (_cache[0] = ($event) => _ctx.model[_ctx.model.modelName] = $event),
      placeholder: _ctx.placeholder,
      size: _ctx.size,
      clearable: _ctx.clearable
    }, null, 8, ["modelValue", "placeholder", "size", "clearable"])
  ]);
}
var kdInput = /* @__PURE__ */ _export_sfc(_sfc_main$5, [["render", _sfc_render$5]]);
const _sfc_main$4 = {
  mixins: [props]
};
function _sfc_render$4(_ctx, _cache, $props, $setup, $data, $options) {
  const _component_el_option = resolveComponent("el-option");
  const _component_el_select = resolveComponent("el-select");
  return openBlock(), createBlock(_component_el_select, {
    placeholder: _ctx.placeholder,
    modelValue: _ctx.model.select,
    "onUpdate:modelValue": _cache[0] || (_cache[0] = ($event) => _ctx.model.select = $event)
  }, {
    default: withCtx(() => [
      (openBlock(true), createElementBlock(Fragment, null, renderList(_ctx.option, (item, index) => {
        return openBlock(), createBlock(_component_el_option, {
          key: index,
          label: item.label,
          value: item.value
        }, null, 8, ["label", "value"]);
      }), 128))
    ]),
    _: 1
  }, 8, ["placeholder", "modelValue"]);
}
var kdSelect = /* @__PURE__ */ _export_sfc(_sfc_main$4, [["render", _sfc_render$4]]);
const _sfc_main$3 = {
  mixins: [props]
};
const _hoisted_1 = /* @__PURE__ */ createElementVNode("span", { class: "demonstration" }, "With default value", -1);
function _sfc_render$3(_ctx, _cache, $props, $setup, $data, $options) {
  const _component_el_color_picker = resolveComponent("el-color-picker");
  return openBlock(), createElementBlock("div", null, [
    _hoisted_1,
    createVNode(_component_el_color_picker, {
      modelValue: _ctx.model[_ctx.modelName],
      "onUpdate:modelValue": _cache[0] || (_cache[0] = ($event) => _ctx.model[_ctx.modelName] = $event),
      disabled: _ctx.disabled,
      size: _ctx.size,
      "show-alpha": _ctx.showAlpha,
      "color-format": _ctx.colorFormat,
      "popper-class": _ctx.popperClass,
      predefine: _ctx.predefine,
      "validate-event": _ctx.validateEvent
    }, null, 8, ["modelValue", "disabled", "size", "show-alpha", "color-format", "popper-class", "predefine", "validate-event"])
  ]);
}
var kdColor = /* @__PURE__ */ _export_sfc(_sfc_main$3, [["render", _sfc_render$3]]);
const _sfc_main$2 = {
  mixins: [props]
};
function _sfc_render$2(_ctx, _cache, $props, $setup, $data, $options) {
  const _component_el_date_picker = resolveComponent("el-date-picker");
  return openBlock(), createElementBlock("div", null, [
    createVNode(_component_el_date_picker, {
      modelValue: _ctx.model[_ctx.modelName],
      "onUpdate:modelValue": _cache[0] || (_cache[0] = ($event) => _ctx.model[_ctx.modelName] = $event),
      type: _ctx.type,
      placeholder: _ctx.placeholder,
      size: _ctx.size
    }, null, 8, ["modelValue", "type", "placeholder", "size"])
  ]);
}
var kdPicker = /* @__PURE__ */ _export_sfc(_sfc_main$2, [["render", _sfc_render$2]]);
const _sfc_main$1 = {
  mixins: [props]
};
function _sfc_render$1(_ctx, _cache, $props, $setup, $data, $options) {
  const _component_el_date_picker = resolveComponent("el-date-picker");
  return openBlock(), createBlock(_component_el_date_picker, {
    modelValue: _ctx.model[_ctx.modelName],
    "onUpdate:modelValue": _cache[0] || (_cache[0] = ($event) => _ctx.model[_ctx.modelName] = $event),
    type: _ctx.type,
    placeholder: _ctx.placeholder
  }, null, 8, ["modelValue", "type", "placeholder"]);
}
var kdtime = /* @__PURE__ */ _export_sfc(_sfc_main$1, [["render", _sfc_render$1]]);
const _sfc_main = {
  components: {
    kdInput,
    kdRadio,
    kdSelect,
    kdColor,
    kdPicker,
    kdtime
  },
  props: {
    config: Object,
    model: Object
  },
  created() {
    const {
      from,
      labelWidth,
      rules,
      formRef,
      labelPosition,
      formItemArr = []
    } = this.config;
    this.from = from, this.labelWidthrules = labelWidth, this.rules = rules, this.formRef = formRef, this.formItemArr = formItemArr;
    this.labelPosition = labelPosition;
  }
};
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  const _component_el_form_item = resolveComponent("el-form-item");
  const _component_el_form = resolveComponent("el-form");
  return openBlock(), createElementBlock("div", null, [
    createCommentVNode(' :model="form" '),
    createVNode(_component_el_form, {
      "label-width": "labelWidth",
      rules: _ctx.rules,
      ref: _ctx.formRef,
      "label-position": _ctx.labelPosition
    }, {
      default: withCtx(() => [
        (openBlock(true), createElementBlock(Fragment, null, renderList(_ctx.formItemArr, (item) => {
          return openBlock(), createBlock(_component_el_form_item, {
            key: item.id,
            label: item.label,
            prop: item.prop
          }, {
            default: withCtx(() => [
              renderSlot(_ctx.$slots, _ctx.boferslot),
              (openBlock(), createBlock(resolveDynamicComponent(item.name), {
                options: item.options,
                model: $props.model
              }, null, 8, ["options", "model"])),
              renderSlot(_ctx.$slots, _ctx.afterslot)
            ]),
            _: 2
          }, 1032, ["label", "prop"]);
        }), 128))
      ]),
      _: 3
    }, 8, ["rules", "label-position"])
  ]);
}
var cbForm = /* @__PURE__ */ _export_sfc(_sfc_main, [["render", _sfc_render]]);
const install = (Vue) => {
  Vue.component("cbForm", cbForm);
};
export { install as default };
